This is an automated email from the ASF dual-hosted git repository.

adelapena pushed a commit to branch cassandra-4.1
in repository https://gitbox.apache.org/repos/asf/cassandra.git

commit 2b2d9f9b725546c01017d688211931779565f39d
Merge: 867c074dda 2393bb16f3
Author: Andrés de la Peña <a.penya.gar...@gmail.com>
AuthorDate: Wed Jun 7 11:06:41 2023 +0100

    Merge branch 'cassandra-4.0' into cassandra-4.1

 .circleci/generate.sh | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

diff --cc .circleci/generate.sh
index 29f66a2151,6ae3a5d4b6..2046362370
--- a/.circleci/generate.sh
+++ b/.circleci/generate.sh
@@@ -86,7 -86,7 +89,9 @@@ while getopts "e:afpib:" opt; d
            ;;
        p ) paid=true
            ;;
 -      e ) if (!($has_env_vars)); then
++      b ) BASE_BRANCH="$OPTARG"
++          ;;
 +      e ) if (! ($has_env_vars)); then
              env_vars="$OPTARG"
            else
              env_vars="$env_vars|$OPTARG"
@@@ -182,7 -181,15 +187,14 @@@ elif (! ($has_env_vars)); the
  fi
  
  # add new or modified tests to the sets of tests to be repeated
 -if (!($all)); then
 +if (! ($all)); then
+   # Sanity check that the referenced branch exists
+   if ! git show ${BASE_BRANCH} -- >&/dev/null; then
+     echo -e "\n\nUnknown base branch: ${BASE_BRANCH}. Unable to detect 
changed tests.\n"
+     echo    "Please use the '-b' option to choose an existing branch name"
+     echo    "(e.g. origin/${BASE_BRANCH}, apache/${BASE_BRANCH}, etc.)."
+     exit 2
+   fi
 -
    add_diff_tests ()
    {
      dir="${BASEDIR}/../${2}"


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@cassandra.apache.org
For additional commands, e-mail: commits-h...@cassandra.apache.org

Reply via email to